package com.example.backend.orders.api;

import java.util.List;

public class OrderDto {
    private Long id;
    private Double sum;
    private Integer count;
    private String date;
    private List<OrderBookDto> orderInfo;
    private List<BookCountDto> books;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getSum() {
        return sum;
    }

    public void setSum(Double sum) {
        this.sum = sum;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public List<OrderBookDto> getOrderInfo() {
        return orderInfo;
    }

    public void setOrderInfo(List<OrderBookDto> orderInfo) {
        this.orderInfo = orderInfo;
    }

    public List<BookCountDto> getBooks() {
        return books;
    }

    public void setBooks(List<BookCountDto> books) {
        this.books = books;
    }
}
